<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: list/list.old.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_48c61abad44e2f181b0a6a33afb59c17.html">list</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">list.old.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="list_8old_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef LIST_H</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define LIST_H</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">struct </span><a class="code" href="structlist__node.html">list_node</a></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keyword">struct </span><a class="code" href="structlist__node.html">list_node</a>* <a class="code" href="structlist__node.html#a0656e14b4a9d75f88dae0493990af83b">next</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    };</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="structlist.html">   26</a></span>&#160;    <span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structlist.html">list</a></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    {</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="structlist.html#a15417ebe69a6b33324e8286dde558146">   28</a></span>&#160;        <span class="keyword">struct </span><a class="code" href="structlist__node.html">list_node</a>* <a class="code" href="structlist.html#a15417ebe69a6b33324e8286dde558146">first</a>;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="structlist.html#a8945e36c444b8d041e642d0a246a97a5">   29</a></span>&#160;        uint_least32_t <a class="code" href="structlist.html#a8945e36c444b8d041e642d0a246a97a5">length</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    } <a class="code" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="list_8old_8h.html#a28788ccb1b363a930a766de58076b516">list_init</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#a8f0d12090de6aacd9e3a35cb7b115099">list_insert_first</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>, <span class="keywordtype">void</span>* node);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#affe471df0bb550543f19943496ada3bd">list_insert_after</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>, <span class="keywordtype">void</span>* node_after, <span class="keywordtype">void</span>* node_new);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#ad5c624f729a5db8726535ec1c73223b0">list_remove_first</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#a5049b5478fbdb64f35b49e4540ef5b39">list_remove</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>, <span class="keywordtype">void</span>* node);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#a17db498966456a086b9a49ba695a3ee0">list_first</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#ab7f6d8c5a8786a63042d185816b0e0a7">list_last</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#ab21d791e2380324a2556403a5ebfa91c">list_next</a>(<span class="keywordtype">void</span>* node);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">void</span>* <a class="code" href="list_8old_8h.html#a11c2225878e0b8dddfc21c5c02b63f6c">list_pos</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>, int_least32_t pos);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    int_least32_t <a class="code" href="list_8old_8h.html#a95db2db655718f551f5ed1b11275fc30">list_get_pos</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>, <span class="keywordtype">void</span>* node);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    uint_least32_t <a class="code" href="list_8old_8h.html#aa335ad050af9200ac67690e39d253f44">list_length</a>(<a class="code" href="structlist.html">list_t</a>* <a class="code" href="structlist.html">list</a>);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;}</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="list_8old_8h_html_a5049b5478fbdb64f35b49e4540ef5b39"><div class="ttname"><a href="list_8old_8h.html#a5049b5478fbdb64f35b49e4540ef5b39">list_remove</a></div><div class="ttdeci">void * list_remove(list_t *list, void *node)</div><div class="ttdef"><b>Definition:</b> list.old.c:62</div></div>
<div class="ttc" id="structlist__node_html_a0656e14b4a9d75f88dae0493990af83b"><div class="ttname"><a href="structlist__node.html#a0656e14b4a9d75f88dae0493990af83b">list_node::next</a></div><div class="ttdeci">struct list_node * next</div><div class="ttdef"><b>Definition:</b> basic_list.h:22</div></div>
<div class="ttc" id="list_8old_8h_html_a8f0d12090de6aacd9e3a35cb7b115099"><div class="ttname"><a href="list_8old_8h.html#a8f0d12090de6aacd9e3a35cb7b115099">list_insert_first</a></div><div class="ttdeci">void * list_insert_first(list_t *list, void *node)</div><div class="ttdef"><b>Definition:</b> list.old.c:13</div></div>
<div class="ttc" id="list_8old_8h_html_a17db498966456a086b9a49ba695a3ee0"><div class="ttname"><a href="list_8old_8h.html#a17db498966456a086b9a49ba695a3ee0">list_first</a></div><div class="ttdeci">void * list_first(list_t *list)</div><div class="ttdef"><b>Definition:</b> list.old.c:95</div></div>
<div class="ttc" id="list_8old_8h_html_a95db2db655718f551f5ed1b11275fc30"><div class="ttname"><a href="list_8old_8h.html#a95db2db655718f551f5ed1b11275fc30">list_get_pos</a></div><div class="ttdeci">int_least32_t list_get_pos(list_t *list, void *node)</div><div class="ttdef"><b>Definition:</b> list.old.c:165</div></div>
<div class="ttc" id="list_8old_8h_html_ab21d791e2380324a2556403a5ebfa91c"><div class="ttname"><a href="list_8old_8h.html#ab21d791e2380324a2556403a5ebfa91c">list_next</a></div><div class="ttdeci">void * list_next(void *node)</div><div class="ttdef"><b>Definition:</b> basic_list.c:65</div></div>
<div class="ttc" id="list_8old_8h_html_af629e6a6713d7de11eab50cbe6449b06"><div class="ttname"><a href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a></div><div class="ttdeci">struct list list_t</div></div>
<div class="ttc" id="structlist__node_html"><div class="ttname"><a href="structlist__node.html">list_node</a></div><div class="ttdef"><b>Definition:</b> basic_list.h:20</div></div>
<div class="ttc" id="structlist_html_a15417ebe69a6b33324e8286dde558146"><div class="ttname"><a href="structlist.html#a15417ebe69a6b33324e8286dde558146">list::first</a></div><div class="ttdeci">struct list_node * first</div><div class="ttdef"><b>Definition:</b> list.old.h:28</div></div>
<div class="ttc" id="list_8old_8h_html_a28788ccb1b363a930a766de58076b516"><div class="ttname"><a href="list_8old_8h.html#a28788ccb1b363a930a766de58076b516">list_init</a></div><div class="ttdeci">void list_init(list_t *list)</div><div class="ttdef"><b>Definition:</b> list.old.c:6</div></div>
<div class="ttc" id="list_8old_8h_html_ad5c624f729a5db8726535ec1c73223b0"><div class="ttname"><a href="list_8old_8h.html#ad5c624f729a5db8726535ec1c73223b0">list_remove_first</a></div><div class="ttdeci">void * list_remove_first(list_t *list)</div><div class="ttdef"><b>Definition:</b> list.old.c:44</div></div>
<div class="ttc" id="list_8old_8h_html_a11c2225878e0b8dddfc21c5c02b63f6c"><div class="ttname"><a href="list_8old_8h.html#a11c2225878e0b8dddfc21c5c02b63f6c">list_pos</a></div><div class="ttdeci">void * list_pos(list_t *list, int_least32_t pos)</div><div class="ttdef"><b>Definition:</b> list.old.c:129</div></div>
<div class="ttc" id="structlist_html"><div class="ttname"><a href="structlist.html">list</a></div><div class="ttdef"><b>Definition:</b> list.old.h:26</div></div>
<div class="ttc" id="list_8old_8h_html_affe471df0bb550543f19943496ada3bd"><div class="ttname"><a href="list_8old_8h.html#affe471df0bb550543f19943496ada3bd">list_insert_after</a></div><div class="ttdeci">void * list_insert_after(list_t *list, void *node_after, void *node_new)</div><div class="ttdef"><b>Definition:</b> list.old.c:28</div></div>
<div class="ttc" id="list_8old_8h_html_aa335ad050af9200ac67690e39d253f44"><div class="ttname"><a href="list_8old_8h.html#aa335ad050af9200ac67690e39d253f44">list_length</a></div><div class="ttdeci">uint_least32_t list_length(list_t *list)</div><div class="ttdef"><b>Definition:</b> list.old.c:188</div></div>
<div class="ttc" id="structlist_html_a8945e36c444b8d041e642d0a246a97a5"><div class="ttname"><a href="structlist.html#a8945e36c444b8d041e642d0a246a97a5">list::length</a></div><div class="ttdeci">uint_least32_t length</div><div class="ttdef"><b>Definition:</b> list.old.h:29</div></div>
<div class="ttc" id="list_8old_8h_html_ab7f6d8c5a8786a63042d185816b0e0a7"><div class="ttname"><a href="list_8old_8h.html#ab7f6d8c5a8786a63042d185816b0e0a7">list_last</a></div><div class="ttdeci">void * list_last(list_t *list)</div><div class="ttdef"><b>Definition:</b> list.old.c:103</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
